Skip to main content
POST
/
runs
/
{run_id}
/
resume
Submit a canonical resume signal to a waiting run
curl --request POST \
  --url https://api.veryfront.com/runs/{run_id}/resume \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "tool_result",
  "tool_call_id": "<string>",
  "result": null,
  "is_error": false
}
'
{
  "accepted": true,
  "duplicate": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string
required
Minimum string length: 1

Body

application/json
type
enum<string>
required
Available options:
tool_result
tool_call_id
string
required
Required string length: 1 - 128
result
unknown
required
is_error
boolean
default:false

Response

200 - application/json

Resume signal accepted

accepted
boolean
required
duplicate
boolean